import "./index.scss";
import {ApiInterface, getApi} from "@navvis/ivion";
import {PoiFilterMenu} from "./PoiFilterMenu";

class TestApp
{
	public ivion: ApiInterface;

	constructor()
	{
		getApi("https://iviondemo.iv.navvis.com/")
			.then((iv) =>
			{
				this.ivion = iv;

				const mainView = this.ivion.view.mainView;
				const poiFilterMenu = new PoiFilterMenu(mainView, this.ivion);
				console.log(poiFilterMenu);
			})
			.catch((e) => console.error(e));
	}
}

(<any>window).TestApp = new TestApp();
